# Tree-sitter EEx

[Tree-sitter](https://tree-sitter.github.io/tree-sitter/) grammar and parser for [EEx](https://hexdocs.pm/eex/EEx.html) (Embedded Elixir).

For HEEx support, see [tree-sitter-heex](https://github.com/connorlay/tree-sitter-heex).
For Surface support, see [tree-sitter-surface](https://github.com/connorlay/tree-sitter-surface).

## Features

Parsing support for the following nodes:

* Directives
* Comments
* Text

## Queries

* Highlights
* Folds
* Indents
* Injections

Currently supported in NeoVim via [nvim-treesitter](https://github.com/nvim-treesitter/nvim-treesitter).
